> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/da/powershell-commands/new-dsgatewayrulesetaccessrule.md).

# New-DSGatewayRulesetAccessRule

New-DSGatewayRulesetAccessRule opretter en adgang regel for en Devolutions Server gateway ruleset at tillader eller afviser adgang af IP, subnet, interval, eller DNS værdi.

### Synopsis

Opret en gateway ruleset adgang regel.

### Syntaks

#### \_\_AllParameterSets

```
New-DSGatewayRulesetAccessRule [-Access] <GatewayAccessRule> [-Type] <NetworkAccessRuleType>
 [-Value] <string> [<CommonParameters>]
```

### Description

Opretter en gateway ruleset adgang regel. Afhængigt af angivet type, en tilsvarende regular udtryk er applied at validere inputtet værdi. Brug resulting objekt med [New-DSGatewayRuleset](/powershell/da/powershell-commands/new-dsgatewayruleset.md) eller [Update-DSGatewayRuleset](/powershell/da/powershell-commands/update-dsgatewayruleset.md).

Denne cmdlet var tidligere med navnet New-DSVirtualGatewayAccessRule. At navn er stadig tilgængelig som et alias.

### Eksempler

#### Eksempel 1

```powershell
PS C:\> $rules = @(
    New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
    New-DSGatewayRulesetAccessRule -Access Deny -Type DNS 'a.com'
  )
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayA' | Select-Object -ExpandProperty ID
PS C:\> New-DSGatewayRuleset -LinkedGatewayID $gatewayId -Name 'My gateway ruleset' -Description 'A little description' -Rule $rules
```

Opret en gateway ruleset at afviser adgang fra en specifik IP adresse og domænet 'a.com'.

#### Eksempel 2

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Erstat alle eksisterende adgang regler af gatewayen ruleset for en at afviser IP adresse '1.2.3.4'.

### Parametre

#### -Access

Virkning af regel.

```yaml
Type: Devolutions.PowerShell.Enums.GatewayAccessRule
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Type

Typen af regel.

```yaml
Type: Devolutions.RemoteDesktopManager.NetworkAccessRuleType
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Value

Værdien af regel baseret på typen.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Denne cmdlet understøtter de almindelige parametre: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction og -WarningVariable. Yderligere oplysninger finder De i [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

#### Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule

Gateway ruleset adgang regel til at bruge i (Ny, Opdatering)-DSGatewayRuleset.

### Noter

Yderligere oplysninger får De ved at skrive "Get-Help New-DSGatewayRulesetAccessRule -detailed". Tekniske oplysninger får De ved at skrive "Get-Help New-DSGatewayRulesetAccessRule -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/da/powershell-commands/new-dsgatewayrulesetaccessrule.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
